EnableExplicit

UseTGAImageDecoder()

Enumeration
  #avifil32_dll
EndEnumeration

Structure msvc
  a.b
  b.b
  c.b
  d.b
EndStructure

Structure AVISTREAMINFO
  fccType.l
  fccHandler.msvc
  dwFlags.l
  dwCaps.l
  wPriority.w
  wLanguage.w
  dwScale.l
  dwRate.l
  dwStart.l
  dwLength.l
  dwInitialFrames.l
  dwSuggestedBufferSize.l
  dwQuality.l
  dwSampleSize.l
  rcFrame.RECT 
  dwEditCount.l
  dwFormatChangeCount.l
  szName.b[64]
EndStructure

Structure AVIFILEINFO
  dwMaxBytesPerSec.l
  dwFlags.l
  dwCaps.l
  dwStreams.l
  dwSuggestedBufferSize.l
  dwWidth.l
  dwHeight.l
  dwScale.l
  dwRate.l
  dwLength.l
  dwEditCount.l
  szFileType.c[64]
EndStructure

Structure AVICOMPRESSOPTIONS
  fccType.l
  fccHandler.l
  dwKeyFrameEvery.l
  dwQuality.l
  dwBytesPerSecond.l
  dwFlags.l
  *lpFormat
  cbFormat.l
  *lpParms
  cbParms.l
  dwInterleaveEvery.l
EndStructure

Global AVIFileInit, AVIFileOpen, AVIFileRelease, AVIFileExit_, AVIFileCreateStream, AVIStreamSetFormat, AVIStreamRelease, AVIStreamWrite, AVIStreamLength, AVISaveOptions,AVIMakeCompressedStream


Prototype Proto_AVIFileInit()
Prototype.l Proto_AVIFileOpen(*ppfile.l, szFile.s, mode.l, *pclsidHandler.l)
Prototype.l Proto_AVIFileCreateStream(pfile.l, *ppavi.l, *psi.AVISTREAMINFO)
Prototype.l Proto_AVIStreamWrite(pavi.l, lStart.l, lSamples.l, lpBuffer.l, cbBuffer.l, dwFlags.l, *plSampWritten.l, *plBytesWritten.l)
Prototype.l Proto_AVIStreamSetFormat(pavi.l,lPos.l, lpFormat.l, cbFormat.l)
Prototype.l Proto_AVIStreamLength(pavi.l)
Prototype.l Proto_AVIStreamRelease(pavi.l)
Prototype.l Proto_AVIFileRelease(pfile.l)
Prototype.l Proto_AVISaveOptions(hwnd.l, uiFlags.l, nStrams.i, *ppavi.l, *plpOptions.l)
Prototype.l Proto_AVIMakeCompressedStream(*ppsCompressed.l, *psSource.l, *lpOptions.l, *pclsidHandler.l)
Prototype Proto_AVIFileExit()

If Not OpenLibrary(#avifil32_dll,"avifil32.dll")
  MessageRequester("Error","avifil32.dll wurde nicht gefunden.")
  End
Else
  AVIFileInit.Proto_AVIFileInit = GetFunction(#avifil32_dll, "AVIFileInit")
  AVIFileOpen.Proto_AVIFileOpen = GetFunction(#avifil32_dll, "AVIFileOpen")
  AVIFileCreateStream.Proto_AVIFileCreateStream = GetFunction(#avifil32_dll, "AVIFileCreateStream")
  AVIStreamWrite.Proto_AVIStreamWrite = GetFunction(#avifil32_dll, "AVIStreamWrite")
  AVIStreamSetFormat.Proto_AVIStreamSetFormat = GetFunction(#avifil32_dll,"AVIStreamSetFormat")
  AVIStreamLength.Proto_AVIStreamLength = GetFunction(#avifil32_dll,"AVIStreamLength")
  AVIStreamRelease.Proto_AVIStreamRelease = GetFunction(#avifil32_dll, "AVIStreamRelease")
  AVIFileRelease.Proto_AVIFileRelease = GetFunction(#avifil32_dll, "AVIFileRelease")
  AVISaveOptions.Proto_AVISaveOptions = GetFunction(#avifil32_dll,"AVISaveOptions")
  AVIMakeCompressedStream.Proto_AVIMakeCompressedStream = GetFunction(#avifil32_dll,"AVIMakeCompressedStream")
  AVIFileExit_.Proto_AVIFileExit = GetFunction(#avifil32_dll, "AVIFileExit")
EndIf

Procedure AVIFileExit()
  AVIFileExit_()
  CloseLibrary(#avifil32_dll)
EndProcedure

; IDE Options = PureBasic 4.51 (Windows - x86)
; CursorPosition = 96
; FirstLine = 41
; Folding = +
; EnableThread
; EnableXP