
; escapi.pbi
;
; http://sol.gfxile.net/escapi/index.html

Structure SimpleCapParams
  *mTargetBuf.i ; Must be at least mWidth * mHeight * SizeOf(int) of size!
  mWidth.l
  mHeight.l
EndStructure

Global escapiDLL.i

;- Prototype
PrototypeC.l ESCAPIDLLVersion()
PrototypeC.l countCaptureDevices()
PrototypeC.l deinitCapture(deviceno.l)
PrototypeC.l doCapture(deviceno.l)
PrototypeC.l getCaptureDeviceName(deviceno.l, *namebuffer.i, bufferlength.l)
PrototypeC.l initCOM()
PrototypeC.l initCapture(deviceno.l, *SimpleCapParams.i)
PrototypeC.l isCaptureDone(deviceno.l)

Procedure escapiClose()
  If escapiDLL > 0
    If IsLibrary(escapiDLL)
      CloseLibrary(escapiDLL)
    EndIf
    escapiDLL = 0
  EndIf
EndProcedure

Procedure escapiOpen()

  escapiDLL = OpenLibrary(#PB_Any, "escapi.dll")
  If escapiDLL = 0
    ProcedureReturn #False
  EndIf

  Global ESCAPIDLLVersion.ESCAPIDLLVersion=GetFunction(escapiDLL,"ESCAPIDLLVersion")
  Global countCaptureDevices.countCaptureDevices=GetFunction(escapiDLL,"countCaptureDevices")
  Global deinitCapture.deinitCapture=GetFunction(escapiDLL,"deinitCapture")
  Global doCapture.doCapture=GetFunction(escapiDLL,"doCapture")
  Global getCaptureDeviceName.getCaptureDeviceName=GetFunction(escapiDLL,"getCaptureDeviceName")
  Global initCOM.initCOM=GetFunction(escapiDLL,"initCOM")
  Global initCapture.initCapture=GetFunction(escapiDLL,"initCapture")
  Global isCaptureDone.isCaptureDone=GetFunction(escapiDLL,"isCaptureDone")

  ProcedureReturn #True
EndProcedure
; IDE Options = PureBasic 4.51 (Windows - x86)
; CursorPosition = 17
; Folding = -
; EnableXP